Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.handlers
Class JAXRPCHandler

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.handlers.JAXRPCHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class JAXRPCHandler
extends BasicHandler

Handles JAXRPC style handlers.

Author:
  Davanum Srinivas (dims@yahoo.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`name, options`

Constructor Summary
`JAXRPCHandler()`

Method Summary
`void` | `cleanup()` Cleanup is called when the chain containing this Handler object is done processing the chain.
`void` | `invoke(MessageContext msgContext)` Must implement this in subclasses.
`void` | `onFault(MessageContext msgContext)` Called when a subsequent handler throws a fault.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, setName, setOption, setOptionDefault, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### JAXRPCHandler

    public JAXRPCHandler()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Description copied from class: `BasicHandler`
  Must implement this in subclasses.
  Overrides:
    `invoke` in class `BasicHandler`

### onFault

    public void onFault(MessageContext msgContext)

  Description copied from interface: `Handler`
  Called when a subsequent handler throws a fault.
  Overrides:
    `onFault` in class `BasicHandler`

### cleanup

    public void cleanup()

  Description copied from interface: `Handler`
  Cleanup is called when the chain containing this Handler object is done processing the chain.
  Overrides:
    `cleanup` in class `BasicHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.